Subject: Re: Diagnosing linux-next (Was: Re: m68k libc5 regression)

From: Andrew Morton <[email-masked]>
Date: Sun, 1 Jun 2008 22:37:58 -0700

On Mon, 2 Jun 2008 12:12:29 +1000 Paul Mackerras <[email-masked]> wrote:

> Andrew Morton writes:
> 
> > tkdiff-style diff viewer!
> > 
> > I mentioned that to you a year or two back, and you've probabably
> > already done it but nobody told me about it :)
> 
> There's now a facility for viewing diffs in an external viewer.  If
> you do Edit->Preferences and set the "External diff tool" thing to
> tkdiff, then you can right-click on a file name in the file list
> (bottom right-hand pane) and select "External diff" and it will launch
> tkdiff to show you the diffs for that file.

<upgrades>

OK, that works, thanks.  Right-clicking on each file is the sole way to
bring it up?

> What is it you like about tkdiff?  Is it the side-by-side display, or
> the highlighting of differences within a line, or the merge facility?

I like the side-by-side display.  I hardly look at the left (previous) side
at all - it's a good way of seeing the change in a larger context.